(function() {

    function isValidURL(str) {
    
        var regexp =  /^(?:(?:https?|ftp):\/\/)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*(?:\.(?:[a-z\u00a1-\uffff]{2,})))(?::\d{2,5})?(?:\/\S*)?$/;
            
        if (regexp.test(str)) {
          return true;
        } else {
          return false;
        }
    }

    angular.module('community', []);

    angular.module('community').controller('contentController', ['$scope', 'contentService', 'trackService',
        function ($scope, contentService, trackService) {

            $scope.isLoading = false;
            $scope.item = {};

            $scope.submitItem = function(link) {

                trackService.track({
                    category: 'UGC',
                    action: 'Form Submit',
                });

                $scope.emptyError = false;
                $scope.badUrl = false;
                $scope.alreadyExist = false;

                if (!$scope.item.link) {
                    $scope.emptyError = true;
                    return;
                }

                if (!isValidURL($scope.item.link)) {
                    $scope.badUrl = true;
                    return;
                }

                $scope.isLoading = true;

                contentService
                .submitItem($scope.item)
                .then(function(item) {

                    if (item.badLink) {
                        $scope.isLoading = false;
                        $scope.badUrl = true;
                    }

                    if (item.noImage) {
                        $scope.isLoading = false;
                        $scope.noImageExists = true;
                    }

                    if (item.dribbbleProhibited) {
                        $scope.isLoading = false;
                        $scope.dribbbleProhibited = true;
                    }

                    if (item.itemAlreadyExists) {
                        $scope.isLoading = false;
                        $scope.alreadyExist = true;
                        $scope.existingUrl = MUZLI_SEARCH_URL + '/' + btoa(item.itemId).slice(0,10);
                    }

                    if (item.id) {
                        window.location.href = MUZLI_SEARCH_URL + '/' + btoa(item.id).slice(0,10) + '?success=true';
                    } else {
                        $scope.isLoading = false;
                    }

                })
            };

    }]);

})();
