angular.module('search').directive('lookahead', ['$rootScope', 'sources_list', 
    function ($rootScope, sources_list) {
        return {
            restrict: 'A',
            link: function (scope, element) {

                //Override close event to keep autocomplete open if user clicks on .preventBlur class
                $.widget('ui.autocomplete', $.ui.autocomplete, {
                    _close: function(event) {

                        let _this = this;

                        if (!event || event.closeNow) {
                            return _this._super( event );
                        }

                        return setTimeout(() => {
                            if (!$(document.activeElement).is('.preventBlur')) {
                                event.closeNow = true;
                                _this.close(event); 
                            }
                        })
                    }
                });
                
                element.autocomplete({
                    debug:true,
                    classes: {
                        'ui-autocomplete': element.parents('header').length ? 'header-autocomplete' : '',
                    },
                    appendTo: '.search-container form',
                    position: {
                        of: '.search-container',
                    },
                    source: async function(request, response) {

                        $('.tabs.sticky').hide();

                        let sources = sources_list
                            .filter(source => {
                                return source.title.toLowerCase().startsWith(request.term.toLowerCase());
                            })
                            .splice(0, 3)

                        $.ajax({
                            url: "https://suggestqueries.google.com/complete/search?client=chrome&q=",
                            dataType: "jsonp",
                            data: {
                                q: request.term
                            },
                            success: function(data) {

                                let suggestions = sources.concat(data[1]).splice(0, 15);

                                response(suggestions);
                            }
                        });

                    },
                    minLength: 1,
                    select: function(event, ui) {

                        if (ui.item.name) {
                            $rootScope.clickSource(ui.item)
                            return;
                        }

                        var value = ui.item.label;

                        $rootScope.focusedSearchInput = element;
                        $rootScope.search(value);
                    },
                    close: function() {
                        $('.tabs.sticky').show();
                    }
                })
            }
        };
    }
]);
