(function () {

  searchService.$inject = ['server', '$http', 'feedFetcher'];

  function searchService(server, $http, feedFetcher) {

    return {
      fetch: fetch,
    };

    function fetch(q, skip = 0, limit = 30, filter = 'all') {

      console.trace();

      var url = server() + `/search?skip=${skip}&limit=${limit}&filter=${filter}&q=${encodeURIComponent(q)}`;

      return $http({
        method: 'GET',
        url: url 
      }).then(function (res) {
        return {
          data: feedFetcher.transformFetch(res.data.feed, [], res.data.proxy_server),
          total: res.data.total
        }
      });
    }
  }

  angular.module('user')
    .factory('searchService', searchService);
})();


