(function () {

  var bundles = {
    default: [
      'muzli',
      'colors',
      'muzli_blog',
      'invisionapp',
      'dribbble',
      'awwwards',
      'behance',
      'designer_news',
      'producthunt',
      'smashing_mag',
      'sidebar',
      'the_next_web',
      'fubiz',
      'the_fwa',
      'techcrunch',
      'colossal',
      'codrops',
      'mashable',
      'bored_panda',
      'wired_design',
      'css_design_awards',
      'vlogs',
      'fast_co_design',
      'css_winner',
      'abduzeedo',
      'design_milk',
      'designspiration',
      'webdesigner_depot',
      'cnn'
    ],
    design: [
      'muzli',
      'colors',
      'muzli_blog',
      'invisionapp',
      'dribbble',
      'awwwards',
      'behance',
      'designer_news',
      'sidebar',
      'smashing_mag',
      'the_fwa',
      'css_design_awards',
      'css_winner',
      'abduzeedo',
      'fubiz',
      'colossal',
      'bored_panda',
      'design_milk',
      'designspiration',
      'webdesigner_depot',
      'producthunt',
      'the_next_web',
      'codrops',
      'techcrunch',
      'vlogs',
      'designboom',
      'siteinspire',
      'my_modern_met'
    ],
    tech: [
      'muzli',
      'muzli_blog',
      'invisionapp',
      'the_next_web',
      'wired_design',
      'the_verge',
      'ars_technica',
      'mac_rumors',
      'techcrunch',
      'smashing_mag',
      're_code',
      'hongkiat',
      'cnet',
      'io9',
      'codrops',
      'tuts_plus',
      'alistapart',
      'css_author',
      'codepen',
      'cody_house',
      'engadget',
      'gizmodo',
      'pocket_lint',
      'producthunt',
      'social_media_examiner',
      'dribbble',
      'awwwards',
      'behance',
    ],
    news: [
      'muzli',
      'muzli_blog',
      'invisionapp',
      'forbes',
      'business_insider',
      'entrepreneur',
      'betalist',
      'vb',
      'the_next_web',
      'hacker_news',
      'fastcompany',
      'cnn',
      'the_onion',
      'fox_news',
      'bbc',
      'nytimes',
      'vice',
      'futurism',
      'brand_new',
      'psfk',
      'the_dieline',
      'adweek',
      'adeevee',
      'techcrunch',
      'vlogs',
      'ted',
      'mashable',
      'producthunt',
    ],
    culture: [
      'muzli',
      'muzli_blog',
      'invisionapp',
      'uncrate',
      'mashable',
      'ted',
      'colossal',
      'vox',
      'buzzfeed',
      'daily_dot',
      'kottke',
      'line25',
      'noupe',
      'readwrite',
      'time',
      'kotaku',
      'subtraction',
      'contemporist',
      'my_modern_met',
      'cool_hunting',
      '99u',
      'the_verge',
      'the_onion',
      'lifehacker',
      'futurism',
      'vlogs',
      'producthunt',
    ]
  };

  var baseTags = ['design', 'tech', 'news', 'culture'];

  var otherTags = {
    web_design: 'webdesign',
    tutorials: 'tutorials',
    ux: 'ux'
  };

  var list = [
    {
      name: 'muzli',
      title: 'Our Picks',
      description: 'Hand picked, today\'s best design content.',
      channel: 'design',
      url: 'muz.li',
      tags: ['design'],
      weight: 2
    },
    {
      name: 'colors',
      title: 'Muzli color palettes',
      description: 'Hand picked, today\'s best color palettes.',
      channel: 'design',
      url: 'search.muz.li',
      tags: ['design', 'inspiration', 'art'],
      weight: 2,
    },
    {
      name: 'invisionapp',
      title: 'InVision Blog',
      url: 'blog.invisionapp.com',
      description: 'Thoughts on users, experience, and design.',
      tags: ['design', 'prototyping'],
      featured: true,
    },
    {
      name: 'muzli_blog',
      title: 'Muzli blog',
      url: 'medium.muz.li',
      description: 'Our blog. It\'s awesome!',
      tags: ['design', 'inspiration', 'art'],
      featured: true,
    },
    {
      name: 'dribbble',
      title: 'Dribbble',
      url: 'dribbble.com',
      channel: 'design',
      weight: 2,
      tags: ['design', 'inspiration'],
      description: 'What are you working on? Dribbble is a community of designers answering that question each day.',
      featured: true,
    },
    {
      name: 'medium',
      title: 'Design articles',
      url: 'medium.com',
      description: 'Our collection of best design articles on Medium',
      tags: ['design']
    },
    {
      name: 'producthunt',
      title: 'Product Hunt',
      url: 'producthunt.com',
      channel: 'tech',
      article: true,
      weight: 2,
      tags: ['tech', 'product', 'startups'],
      description: 'Product Hunt is a curation of the best new products, every day. Discover the latest mobile apps, websites, and technology products that everyone\'s talking about.',
      featured: true,
    },
    {
      name: 'techcrunch',
      title: 'Techcrunch',
      url: 'techcrunch.com',
      channel: 'tech',
      article: true,
      tags: ['tech', 'news'],
      description: 'A leading technology media property, dedicated to obsessively profiling startups, reviewing new Internet products, and breaking tech news.',
      featured: true,
    },
    {
      name: 'designer_news',
      title: 'Designer News',
      url: 'designernews.co',
      article: true,
      weight: 2,
      tags: ['design', otherTags.web_design, 'tech'],
      description: 'Designer News is a community where design and technology professionals share interesting links and timely events.'
    },
    {
      name: 'behance',
      title: 'Behance',
      url: 'behance.net',
      channel: 'design',
      weight: 2,
      tags: ['design', 'art', 'inspiration'],
      description: 'Showcase and discover the latest work from top online portfolios by creative professionals across industries.'
    },
    {
      name: "smashing_mag",
      title: "Smashing Mag",
      url: "smashingmagazine.com",
      tags: ['tech', 'webdesign', 'code'],
      article: true,
      description: 'Magazine for web designers and developers.',
      featured: true,
    },
    {
      name: 'ted',
      title: 'TED',
      url: 'www.ted.com/talks',
      article: true,
      tags: ['culture', 'inspiration', 'science'],
      description: 'An invitation-only event where the world\'s leading thinkers and doers gather to find inspiration.'
    },
    {
      name: 'vlogs',
      title: 'Videos',
      tags: ['design', 'inspiration', 'entrepreneurship'],
      description: 'A collection of daily videos about design, inspiration, entrepreneurship, personal growth, technology and more.',
      featured: true,
    },
    {
      name: 'fubiz',
      title: 'Fubiz',
      url: 'fubiz.net',
      weight: 2,
      tags: ['design', 'inspiration', 'art'],
      description: 'The latest creative news from Fubiz about art, design and pop-culture.',
      featured: true,
    },
    {
      name: 'bored_panda',
      title: 'Bored Panda',
      url: 'boredpanda.com',
      nsfw: true,
      tags: ['design', 'fun', 'art'],
      description: 'Art, design and photography community for creative people.'
    },
    {
      name: 'sidebar',
      title: 'Sidebar',
      url: 'sidebar.io',
      article: true,
      weight: 2,
      tags: ['design', 'webdesign', 'web'],
      description: 'A list of the 5 best design links of the day.',
      featured: true,
    },
    {
      name: 'awwwards',
      title: 'Awwwards',
      url: 'awwwards.com',
      channel: 'design',
      weight: 2,
      tags: ['design', 'awards'],
      description: 'Awwwards are the Website Awards that recognize and promote the talent and effort of the best developers, designers and web agencies in the world.',
      featured: true,
    },
    {
      name: 'the_next_web',
      title: 'The Next Web',
      url: 'thenextweb.com',
      channel: 'tech',
      article: true,
      tags: ['tech'],
      description: 'One of the world\'s largest online publications that delivers an international perspective on the latest news about Internet technology, business and more.',
      featured: true,
    },
    {
      name: 'mashable',
      title: 'Mashable',
      url: 'mashable.com',
      channel: 'tech',
      article: true,
      tags: ['culture', 'social-media', 'marketing'],
      description: 'A global, multi-platform media and entertainment company.'
    },
    {
      name: 'wired_design',
      title: 'Wired',
      url: 'wired.com/category/design',
      channel: 'tech',
      article: true,
      tags: ['tech', 'science', 'gaming'],
      description: 'In-depth coverage of current and future trends in technology, and how they are shaping business, entertainment, communications, science, politics, and more.'
    },
    {
      name: 'the_verge',
      title: 'The Verge',
      url: 'theverge.com',
      channel: 'tech',
      article: true,
      tags: ['tech'],
      description: 'Covers the intersection of technology, science, art, and culture.'
    },
    {
      name: 'hacker_news',
      title: 'Hacker News',
      url: 'news.ycombinator.com',
      article: true,
      tags: ['news', 'code', 'startups'],
      description: 'A social news website focusing on computer science and entrepreneurship.',
      featured: true,
    },
    {
      name: 'codrops',
      title: 'Codrops',
      url: 'tympanus.net/codrops/',
      tags: ['tech', 'code', 'web'],
      description: 'A web design and development blog that publishes articles and tutorials about the latest web trends, techniques and new possibilities.',
      featured: true,
    },
    {
      name: 'cnn',
      title: 'CNN',
      url: 'edition.cnn.com',
      article: true,
      tags: ['news'],
      description: 'Latest news and breaking news today for U.S., world, weather, entertainment, politics and health.'
    },
    {
      name: 'vox',
      title: 'Vox',
      url: 'vox.com',
      article: true,
      tags: ['culture', 'politics'],
      description: 'Explain the news. Politics, public policy, world affairs, pop culture, science, business and more.'
    },
    {
      name: 'fancy',
      title: 'Fancy',
      url: 'fancy.com',
      description: 'Discover amazing stuff, collect the things you love, buy it all in one place.',
      tags: ['design', 'inspiration'],
    },
    {
      name: '99designs',
      title: '99designs',
      url: '99designs.com/blog/',
      description: 'The Creative Edge is the best place to get inspired and learn about design.',
      tags: ['design', 'inspiration'],
    },
    {
      name: 'lapaninja',
      title: 'Lapa Ninja',
      url: 'lapa.ninja',
      description: 'The best landing page design inspiration from around the web.',
      tags: ['design', 'inspiration', 'landing'],
    },
    {
      name: 'pixels',
      title: 'Pixels',
      url: 'klart.io/pixels',
      description: 'Be inspired by handpicked designs and copywriting.',
      tags: ['design', 'inspiration'],
    },
    {
      name: 'forbes',
      title: 'Forbes',
      url: 'forbes.com',
      article: true,
      tags: ['news', 'business', 'entrepreneurship', 'startups'],
      description: 'Includes business, technology, stock markets, personal finance, and lifestyle.'
    },
    {
      name: 'css_winner',
      title: 'CSS Winner',
      url: 'csswinner.com',
      channel: 'design',
      weight: 2,
      tags: ['design', 'awards'],
      description: 'CSS Winner is a website design award gallery for web designers and developers to showcase their best works.'
    },
    {
      name: 'abduzeedo',
      title: 'Abduzeedo',
      url: 'abduzeedo.com',
      channel: 'design',
      weight: 2,
      tags: ['design'],
      description: 'Learn web design, photoshop, illustrator via tutorials and design inspiration.'
    },
    {
      name: 'design_milk',
      title: 'Design Milk',
      url: 'design-milk.com',
      channel: 'design',
      tags: ['design', 'interior-design', 'art'],
      description: 'A design blog featuring interior design ideas, architecture, modern furniture, home decor, art, style, and technology.'
    },
    {
      name: 'tuts_plus',
      title: 'Tuts+',
      url: 'webdesign.tutsplus.com',
      channel: 'design',
      tags: ['tech', 'webdesign'],
      description: 'Updated daily, discover over 20750 How-to tutorials. Find videos and online courses to help you learn skills like code, photography, web design and more.'
    },
    {
      name: 'gizmodo',
      title: 'Gizmodo',
      url: 'gizmodo.com',
      channel: 'tech',
      article: true,
      tags: ['tech', 'gadgets'],
      description: 'Design and technology blog.'
    },
    {
      name: 'engadget',
      title: 'Engadget',
      url: 'engadget.com',
      channel: 'tech',
      article: true,
      tags: ['tech', 'gadgets'],
      description: 'A web magazine with obsessive daily coverage of everything new in gadgets and consumer electronics.'
    },
    {
      name: 'httpster',
      title: 'HTTPSTER',
      url: 'httpster.net',
      weight: 2,
      tags: ['design', 'inspiration', 'art'],
      description: 'A curated showcase of s**t-hot web design with a less-is-more bent.'
    },
    {
      name: 'the_onion',
      title: 'The onion',
      url: 'theonion.com',
      tags: ['humor', 'news', 'entertainment'],
      article: true,
      description: 'A farcical newspaper featuring world, national and community news.'
    },
    {
      name: 'designboom',
      title: 'Designboom',
      url: 'designboom.com',
      tags: ['design', 'architecture', 'art'],
      description: 'A popular digital magazine for architecture & design culture. daily news for a professional and creative audience.'
    },
    {
      name: 'buzzfeed',
      title: 'Buzzfeed',
      url: 'buzzfeed.com',
      article: true,
      tags: ['culture', 'entertainment'],
      nsfw: true,
      description: '"Social news and entertainment.'
    },
    {
      name: 'art_station',
      title: 'Art Station',
      url: 'artstation.com',
      nsfw: true,
      tags: ['design', 'art', '3d'],
      description: 'A leading showcase platform for games, film, media & entertainment artists.'
    },
    {
      name: 'colossal',
      title: 'Colossal',
      url: 'thisiscolossal.com',
      tags: ['culture', 'art', 'inspiration'],
      description: 'A blog that explores art and other aspects of visual culture. '
    },
    {
      name: 'webdesigner_depot',
      title: 'Webdesigner Depot',
      url: 'webdesignerdepot.com',
      tags: ['design', 'webdesign '],
      description: 'Web Design Resources for Web Designers.'
    },
    {
      name: 'fast_co_design',
      title: 'Fast Co. Design',
      url: 'fastcodesign.com',
      tags: ['design', 'art'],
      description: 'Inspiring stories about innovation and business, seen through the lens of design.'
    },
    {
      name: 'ars_technica',
      title: 'Ars Technica',
      url: 'arstechnica.com',
      article: true,
      tags: ['tech'],
      description: 'The PC enthusiast\'s resource. Power users and the tools they love, without computing religion.'
    },
    {
      name: 'designspiration',
      title: 'Designspiration',
      url: 'designspiration.net',
      tags: ['design', 'inspiration', 'graphic-design'],
      description: 'A tool for discovering great art, design, architecture, photography and web inspiration.'
    },
    {
      name: 'dezeen',
      title: 'Dezeen',
      url: 'dezeen.com',
      tags: ['design', 'architecture', 'art'],
      description: 'Architecture, interiors and design magazine.'
    },
    {
      name: 'alistapart',
      title: 'A List Apart',
      url: 'alistapart.com',
      article: true,
      tags: ['tech', 'webdesign', 'code'],
      description: 'Explores the design, development, and meaning of web content, with a special focus on web standards and best practices.'
    },
    {
      name: 'siteinspire',
      title: 'Siteinspire',
      url: 'siteinspire.com',
      tags: ['design', otherTags.web_design, 'inspiration', 'css'],
      description: 'A CSS gallery and showcase of the best web design inspiration.'
    },
    {
      name: 'swiss_miss',
      title: 'Swiss Miss',
      url: 'swiss-miss.com',
      tags: ['design', 'art', 'inspiration'],
      description: 'A design blog run by Tina Roth Eisenberg'
    },
    {
      name: 're_code',
      title: 'Re-code',
      url: 'www.recode.net',
      article: true,
      tags: ['tech'],
      description: 'Get the latest independent tech news, reviews and analysis from Recode with the most informed and respected journalists in technology and media.'
    },
    {
      name: 'one_page_love',
      title: 'One Page Love',
      url: 'onepagelove.com',
      tags: ['design', otherTags.web_design, 'inspiration'],
      description: 'A One Page website design gallery showcasing the best Single Page website designs from around the web.'
    },
    {
      name: 'the_best_designs',
      title: 'The Best Designs',
      url: 'thebestdesigns.com',
      tags: ['design', otherTags.web_design, 'inspiration'],
      description: 'The best of web design and web design inspiration - updated regularly.'
    },
    {
      name: 'css_design_awards',
      title: 'CSS Design Awards',
      url: 'cssdesignawards.com',
      tags: ['design', otherTags.web_design, 'css'],
      description: 'Website awards and web design inspiration with the best sites being featured in our CSS Gallery.'
    },
    {
      name: '99u',
      title: '99u',
      url: '99u.com',
      article: true,
      tags: ['culture', 'inspiration', 'productivity'],
      description: 'Provides actionable insights on productivity, organization, and leadership to help creatives people push ideas forward.'
    },
    {
      name: 'ads_of_the_world',
      title: 'Ads of the World',
      url: 'adsoftheworld.com',
      tags: ['news', 'marketing', 'advertising', 'branding'],
      article: true,
      description: 'Advertising archive, featuring creative work from across the industry.'
    },
    {
      name: 'houzz',
      title: 'Houzz',
      url: 'houzz.com',
      tags: ['design', 'real estate', 'home'],
      description: 'The new way to design your home. 11 million interior design photos, home decor & decorating ideas.'
    },
    {
      name: 'booooooom',
      title: 'Booooooom',
      url: 'booooooom.com',
      tags: ['art', 'design', 'inspiration'],
      description: 'A blog about art, design and general creative inspiration.'
    },
    {
      name: 'brand_new',
      title: 'Brand New',
      url: 'underconsideration.com/brandnew/',
      tags: ['news', 'branding', 'marketing', 'design'],
      description: 'Opinions on corporate and brand identity work.'
    },
    {
      name: 'core77',
      title: 'Core77',
      url: 'core77.com',
      tags: ['design-thinking', 'design', 'art'],
      description: 'Magazine and resource offering calendar of events, firm listings, jobs section, forums, articles and competitions.'
    },
    {
      name: 'creative_review',
      title: 'Creative Review',
      url: 'creativereview.co.uk',
      tags: ['design', 'art', 'advertising'],
      description: 'Monthly publication covering the communication arts worldwide.'
    },
    {
      name: 'pocket_lint',
      title: 'Pocket Lint',
      url: 'pocket-lint.com',
      article: true,
      tags: ['tech', 'gadgets', 'mobile'],
      description: 'Electronic product reviews, including news on gadgets, digital cameras, home cinema, audio, car and mobile phone.'
    },
    {
      name: 'css_author',
      title: 'CSS Author',
      url: 'cssauthor.com',
      tags: ['tech', otherTags.web_design, 'css'],
      description: 'Web/Mobile design & development blog, providing user interface design freebies, resources, articles, tools and more.'
    },
    {
      name: 'daily_dot',
      title: 'Daily Dot',
      url: 'dailydot.com',
      tags: ['culture', 'entertainment'],
      article: true,
      description: 'Latest news, opinion, and in-depth reporting from around the Internet.'
    },
    {
      name: 'design_you_trust',
      title: 'Design You Trust',
      url: 'designyoutrust.com',
      tags: ['design', 'art', 'inspiration'],
      description: 'A hourly updated collective design blog full of design portfolios, photos, creative advertisements, architectural inspirations and videos.'
    },
    {
      name: 'design_your_way',
      title: 'Design Your Way',
      url: 'designyourway.net',
      tags: ['design', otherTags.web_design],
      description: 'A design magazine that is showcasing resources for web and graphic designers.'
    },
    {
      name: 'design_sponge',
      title: 'Design Sponge',
      url: 'designsponge.com',
      tags: ['design', 'diy', 'home'],
      description: 'Home Tours, DIY Project, City Guides, Shopping Guides, Before & Afters and much more.'
    },
    {
      name: 'fresh_home',
      title: 'Fresh Home',
      url: 'freshome.com',
      tags: ['design', 'architecture', 'home'],
      description: 'Interior design ideas, home decorating photos and pictures, home design, and contemporary world architecture new for your inspiration.'
    },
    {
      name: 'home_designing',
      title: 'Home Designing',
      url: 'home-designing.com',
      tags: ['design', 'interior-design', 'architecture', 'home'],
      description: 'Inspirational Interior Design Ideas for Living Room Design, Bedroom Design, Kitchen Design and the entire home.'
    },
    {
      name: 'hongkiat',
      title: "Hongkiat",
      url: "hongkiat.com",
      tags: [otherTags.web_design, 'tech'],
      article: true,
      description: 'Design weblog for designers, bloggers and tech users. Covering useful tools, tutorials, tips and inspirational artworks.'
    },
    {
      name: 'its_nice_that',
      title: 'Its Nice That',
      url: 'itsnicethat.com',
      tags: ['design', 'inspiration', 'art'],
      description: 'Ideas, originality, imagination and creativity in any context.'
    },
    {
      name: 'just_creative',
      title: 'Just Creative',
      url: 'justcreative.com',
      tags: ['design', otherTags.web_design, 'graphic-design'],
      description: 'Graphic design portfolio & blog of Jacob Cass, a freelance designer in New York specializing in logo, web & brand identity.'
    },
    {
      name: 'kottke',
      title: 'Kottke',
      url: 'kottke.org',
      tags: ['thinkers', 'culture'],
      description: 'Get into the world of Jason Kottke, a freelance web designer and learn about design, food, weblogs, and living in New York City.'
    },
    {
      name: 'lifehacker',
      title: 'Lifehacker',
      url: 'lifehacker.com',
      article: true,
      tags: ['news', 'lifehacks', 'productivity'],
      description: 'Daily blog on software and personal productivity recommends downloads, web sites and shortcuts that help you work smarter.'
    },
    {
      name: 'line25',
      title: 'Line25',
      url: 'line25.com',
      tags: ['culture', otherTags.web_design, 'web'],
      description: 'Ideas and inspiration to web creatives, including roundups of cool website designs and tutorials to help you learn new skills.'
    },
    {
      name: 'noupe',
      title: 'Noupe',
      url: 'noupe.com',
      tags: ['culture', otherTags.web_design, 'web'],
      description: 'Delivers stylish and dynamic news for designers and Web developers across the globe on all subjects of design.'
    },
    {
      name: 'kurzgesagt',
      title: 'Kurzgesagt – In a Nutshell',
      url: 'youtube.com/user/Kurzgesagt',
      description: 'Videos explaining things with optimistic nihilism.',
      tags: ['geek', 'culture'],
    },
    {
      name: 'onextrapixel',
      title: 'Onextrapixel',
      url: 'onextrapixel.com',
      tags: ['design', otherTags.web_design, 'web'],
      description: 'A digital community devoted in sharing web design and development freebies, great tutorials, useful Internet resources, online tips and tricks for web designers.'
    },
    {
      name: 'print_mag',
      title: 'Print Mag',
      url: 'printmag.com',
      tags: ['design', 'graphic-design', 'art'],
      description: 'Design and visual culture brand encompassing a venerated magazine'
    },
    {
      name: 'psfk',
      title: 'psfk',
      url: 'psfk.com',
      article: true,
      tags: ['news', 'marketing', 'business'],
      description: ' Insights Portal with a database of over 75000 innovation reports on advertising design, retail, tech & more.'
    },
    {
      name: 'readwrite',
      title: 'ReadWrite',
      url: 'readwrite.com',
      article: true,
      tags: ['culture'],
      description: 'Covers web technology, news, reviews, analysis on web apps, trends, and social networking.'
    },
    {
      name: 'speckyboy',
      title: 'Speckyboy',
      url: 'speckyboy.com',
      tags: ['design', otherTags.web_design, 'web'],
      description: 'Blog for designers with its focus on sharing helpful resources, exploring new techniques, sharing useful tips'
    },
    {
      name: 'spoon_graphics',
      title: 'Spoon Graphics',
      url: 'blog.spoongraphics.co.uk',
      tags: ['design', otherTags.web_design, 'graphic-design'],
      description: 'Design Tutorials, Graphic Design Articles and Free Resource Downloads from the blog of Graphic Designer Chris Spooner.'
    },
    {
      name: 'design_taxi',
      title: 'Design Taxi',
      url: 'designtaxi.com',
      tags: ['design', 'art', 'inspiration'],
      description: 'Talk about Design, Art, Photography, Advertising, Architecture, Style, Culture, Technology, and Social Media.'
    },
    {
      name: 'the_dieline',
      title: 'The Dieline',
      url: 'thedieline.com',
      tags: ['news', 'packaging', 'graphic-design'],
      description: 'Daily package design & branding inspiration, resources, news, conferences, events, and awards.'
    },
    {
      name: 'yanko_design',
      title: 'Yanko Design',
      url: 'yankodesign.com',
      tags: ['design', 'art'],
      description: 'A magazine dedicated to covering the best in international product design.'
    },
    {
      name: 'creative_bloq',
      title: 'Creative Bloq',
      url: 'creativebloq.com',
      tags: ['design', 'graphic-design', otherTags.web_design],
      description: 'Daily inspiration for creative people. Fresh thinking, expert tips and tutorials to supercharge your creative muscles.'
    },
    {
      name: 'ux_mag',
      title: 'UX Mag',
      url: 'uxmag.com',
      tags: [otherTags.ux, 'design', otherTags.web_design],
      description: 'A resource for everything related to user experience.'
    },
    {
      name: 'abc_news',
      title: 'ABC News',
      url: 'abcnews.go.com',
      article: true,
      tags: ['news'],
      description: 'National and world news, broadcast video coverage, and exclusive interviews.'
    },
    {
      name: 'business_insider',
      title: 'Business Insider',
      url: 'businessinsider.com',
      article: true,
      tags: ['business', 'finance', 'news'],
      description: 'Business with deep financial, media, tech, and other industry verticals.'
    },
    {
      name: 'cnet',
      title: 'CNET',
      url: 'cnet.com',
      article: true,
      tags: ['tech'],
      description: 'Tech product reviews, news, prices, videos, forums, how-tos and more.'
    },
    {
      name: 'entrepreneur',
      title: 'Entrepreneur',
      url: 'entrepreneur.com',
      article: true,
      tags: ['news', 'business', 'entrepreneurship'],
      description: 'Advice, insight, profiles and guides for established and aspiring entrepreneurs worldwide.'
    },
    {
      name: 'io9',
      title: 'io9',
      url: 'io9.gizmodo.com',
      article: true,
      tags: ['tech', 'science'],
      description: 'Science fiction, fantasy, futurism, science, technology and related areas.'
    },
    {
      name: 'mac_rumors',
      title: 'Mac Rumors',
      url: 'macrumors.com',
      article: true,
      tags: ['tech', 'apple', 'mac'],
      description: 'Apple news and rumors with user contribution and commentary.'
    },
    {
      name: 'social_media_examiner',
      title: 'Social Media Examiner',
      url: 'socialmediaexaminer.com',
      article: true,
      tags: ['tech', 'social-media', 'marketing', 'seo'],
      description: 'Master social media marketing to find leads, increase sales and improve branding.'
    },
    {
      name: 'time',
      title: 'Time',
      url: 'time.com/',
      article: true,
      tags: ['culture'],
      description: 'Politics, world news, photos, video, tech reviews, health, science and entertainment news.'
    },
    {
      name: 'vb',
      title: 'VentureBeat',
      url: 'venturebeat.com',
      article: true,
      tags: ['news', 'business', 'entrepreneurship'],
      description: 'News & perspective on tech innovation.'
    },
    {
      name: 'the_fwa',
      title: 'The FWA',
      url: 'thefwa.com',
      tags: ['design', 'awards'],
      description: 'Program focused on cutting-edge technology and creativity.',
      featured: true,
    },
    {
      name: 'kotaku',
      title: 'Kotaku',
      url: 'kotaku.com',
      article: true,
      tags: ['culture', 'gaming'],
      description: 'A video game-focused blog'
    },
    {
      name: 'subtraction',
      title: 'Subtraction',
      url: 'subtraction.com',
      article: true,
      tags: ['culture', otherTags.web_design],
      description: 'Life and thoughts of Khoi Vin, a graphic designer in New York City.'
    },
    {
      name: 'motionographer',
      title: 'Motionographer',
      url: 'motionographer.com',
      tags: ['culture', 'motion', 'animation'],
      description: 'inspiring work and important news for the motion design, animation and visual effects communities.'
    },
    {
      name: 'contemporist',
      title: 'Contemporist',
      url: 'contemporist.com',
      tags: ['culture', 'interior-design', 'architecture', 'home'],
      description: 'A community that celebrates contemporary culture.'
    },
    {
      name: 'curbed',
      title: 'Curbed',
      url: 'curbed.com',
      tags: ['design', 'interior-design', 'architecture', 'home'],
      description: 'All things home, from interior design and architecture to home tech, renovations, tiny houses, prefab, and real estate.'
    },
    {
      name: 'uncrate',
      title: 'Uncrate',
      url: 'uncrate.com',
      tags: ['news', 'fashion', 'gadgets'],
      description: 'Digital magazine for guys who love to buy stuff. Includes cars, tools, and books.'
    },
    {
      name: 'adweek',
      title: 'Adweek',
      url: 'adweek.com',
      article: true,
      tags: ['news', 'advertising', 'marketing'],
      description: 'Covers media news, including print, technology, advertising, branding and television.'
    },
    {
      name: 'no_film_school',
      title: 'No Film School',
      url: 'nofilmschool.com',
      tags: ['news', 'film', 'cinema', 'video'],
      description: 'No Film School is where filmmakers learn from each other — “no film school” required.'
    },
    {
      name: 'my_modern_met',
      title: 'My Modern Met',
      url: 'mymodernmet.com',
      tags: ['culture', 'art', 'photography'],
      description: 'Celebrates creative ideas. Join our community and discover amazing artists every day!'
    },
    {
      name: 'uplabs',
      title: 'Uplabs',
      url: 'uplabs.com',
      description: 'Uplabs curates the best of design & development inspiration, resources and freebies. Every day!',
      tags: ['design', 'inspiration'],
    },
    {
      name: 'adeevee',
      title: 'Adeevee',
      url: 'adeevee.com',
      tags: ['news', 'advertising', 'ads'],
      description: 'Advertising Archive and Portfolios.'
    },
    {
      name: 'apartment_therapy',
      title: 'Apartment Therapy',
      url: 'apartmenttherapy.com',
      tags: ['design', 'interior-design', 'diy', 'home'],
      description: 'Lifestyle and interior design community sharing design lessons, DIY how-tos, shopping guides and expert advice for creating a happy, beautiful home.'
    },
    {
      name: 'cool_hunting',
      title: 'Cool Hunting',
      url: 'www.coolhunting.com',
      tags: ['fashion', 'culture'],
      description: 'Covers the latest in design, technology, style, travel, art and culture.'
    },
    {
      name: 'fastcompany',
      title: 'Fastcompany',
      url: 'www.fastcompany.com',
      article: true,
      tags: ['news', 'business'],
      description: 'Innovative and creative thought leaders who are actively inventing the future of business.'
    },
    {
      name: 'fox_news',
      title: 'Fox News',
      url: 'www.foxnews.com',
      article: true,
      tags: ['news'],
      description: 'Breaking, latest and current news.'
    },
    {
      name: 'bbc',
      title: 'BBC',
      url: 'www.bbc.com',
      article: true,
      tags: ['news'],
      description: 'Breaking news, sport, TV, radio and a whole lot more.'
    },
    {
      name: 'nytimes',
      title: 'New York Times',
      url: 'www.nytimes.com',
      article: true,
      tags: ['news'],
      description: 'Breaking news, multimedia, reviews & opinion on Washington, business, sports, movies, travel, books and more.'
    },
    {
      name: 'vice',
      title: 'Vice',
      url: 'www.vice.com/en_us',
      nsfw: true,
      tags: ['news'],
      description: 'Ever-expanding nebula of immersive investigative journalism, uncomfortable sociological examination, uncouth activities and more.'
    },
    {
      name: 'futurism',
      title: 'Futurism',
      url: 'futurism.com',
      article: true,
      tags: ['news', 'science', 'futurism'],
      description: 'News, infographics, and videos on the science and technology that are shaping the future of humanity, including AI, robotics and virtual reality.'
    },
    {
      name: 'npr',
      title: 'NPR',
      url: 'www.npr.org',
      article: true,
      tags: ['news'],
      description: 'Breaking national and world news. '
    },
    {
      name: '500px',
      title: '500px',
      url: '500px.com',
      tags: ['culture', 'photography'],
      nsfw: true,
      description: 'Find the perfect royalty-free photos on 500px Marketplace.'
    },
    {
      name: 'unsplash',
      title: 'Unsplash',
      url: 'unsplash.com',
      tags: ['culture', 'photography'],
      description: 'Beautiful, free images and photos that you can download and use for any project. Better than any royalty free or stock photos.',
      new: true,
    },
    {
      name: 'codepen',
      title: 'Codepen',
      url: 'codepen.io',
      tags: ['tech', 'code'],
      description: 'Show case of advanced techniques with editable source code.'
    },
    {
      name: 'web_design_ledger',
      title: 'Webdesignledger',
      url: 'webdesignledger.com',
      tags: ['design', otherTags.web_design, 'web'],
      description: 'Features content to make you a better web designer.'
    },
    {
      name: 'uimovement',
      title: 'Screenlane (UI Movement)',
      url: 'screenlane.com',
      description: 'Get inspired and keep up with the latest web & mobile app UI design trends',
      tags: ['design', 'interface'],
    },
    {
      name: 'betalist',
      title: 'Beta List',
      url: 'betalist.com',
      description: 'An overview of upcoming internet startups. Discover and get early access to the future.',
      tags: ['news', 'startups', 'business']
    },
    {
      name: 'designmodo',
      title: 'Designmodo',
      url: 'designmodo.com',
      description: 'Design and Web Development blog.',
      tags: ['design', 'webdesign']
    },
    {
      name: 'designshack',
      title: 'Design Shack',
      url: 'designshack.net',
      description: 'Showcases inspiring web design, alongside resources and tutorials to teach new techniques.',
      tags: ['design', 'code', 'business', 'inspiration']
    },
    {
      name: 'vandelay_design',
      title: 'Vandelay Design',
      url: 'www.vandelaydesign.com',
      description: 'Write & create products that help educate and inspire.',
      tags: ['design', 'code', 'business', 'inspiration']
    },
    {
      name: 'sketch_app_sources',
      title: 'Sketch App Sources',
      url: 'www.sketchappsources.com',
      description: 'Free and premium Sketch resources for mobile, web, UI, and UX designers working with Sketch',
      tags: ['design']
    },
    {
      name: 'cody_house',
      title: 'Cody House',
      url: 'codyhouse.co',
      description: 'A free library of HTML/CSS/Javascript resources to boost your web projects and learn new tricks.',
      tags: ['tech', 'code']
    },
    {
      name: 'graphicburger',
      title: 'Graphicburger',
      url: 'graphicburger.com',
      description: 'Tasty design resources made with care for each pixel. Free for both personal & commercial use. Have a bite!',
      tags: ['design']
    },
    {
      name: '1stwebdesigner',
      title: '1stwebdesigner',
      url: '1stwebdesigner.com',
      description: 'A blog about topics related mainly with WordPress, web design and tips for freelance business owners.',
      tags: ['design', 'inspiration']
    },
    {
      name: 'typewolf',
      title: 'Typewolf',
      url: 'www.typewolf.com',
      description: 'Helps designers choose the perfect font combination for their next design project',
      tags: ['design', 'typography', 'inspiration']
    },
    {
      name: 'fontsinuse',
      title: 'Fonts In Use',
      url: 'fontsinuse.com',
      description: 'A searchable archive of typographic design, indexed by typeface, format, and topic.',
      tags: ['design', 'typography'],
    },
    {
      name: 'csstricks',
      title: 'CSS-Tricks',
      url: 'css-tricks.com',
      description: 'CSS-Tricks is a website about websites.',
      tags: ['tech', 'code'],
    },
    {
      name: 'demilked',
      title: 'Demilked',
      url: 'www.demilked.com',
      description: 'Milk the world\'s most creative minds and make you tasty inspiration cocktails',
      tags: ['design', 'art', 'business', 'inspiration']
    },
    {
      name: 'creativeboom',
      title: 'Creative Boom',
      url: 'www.creativeboom.com',
      description: 'Art & design blog for the creative industries, featuring art, graphic design, illustration and photography.',
      tags: ['design', 'inspiration', 'art']
    },
    {
      name: 'land_book',
      title: 'Land Book',
      url: 'land-book.com',
      description: 'The finest hand-picked website inspirations.',
      tags: ['design']
    }
  ];

  // Common.js package manager support (e.g. ComponentJS, WebPack)
  if (typeof module !== "undefined" && typeof exports !== "undefined" && module.exports === exports) {
    module.exports = list;
  }

  else {
    angular.module('sources')
      .constant('sources_list', list)
      .constant('bundles_list', bundles)
      .constant('other_tags_list', list.reduce(function (arr, source) {
        return arr.concat(source.tags.reduce(function (arr, tag) {
          if (baseTags.indexOf(tag) === -1) {
            arr.push(tag);
          }
          return arr;
        }, []));
      }, []));
  }
})();
